//---------------------------------------------------------------------------
#ifndef demo1H
#define demo1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "Crystdsg.hpp"

#if(__BCPLUSPLUS__ == 0x520)
#define BUILDER1 1
#endif

#ifdef BUILDER1
// Builder1 does not understand PACKAGE macro. Therefore
// we have to "clear" the PACKAGE definition under Builder1
#define PACKAGE
#endif

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TButton *Button1;
  TButton *Button2;
  TButton *Button3;
  TSpeedButton *SpeedButton1;
  TSpeedButton *SpeedButton2;
  TPanel *Panel1;
  TLabel *Label1;
  TScrollBar *ScrollBar1;
  TLabel *Label2;
  TCrystalDesign *CrystalDesign1;
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall Button2Click(TObject *Sender);
  void __fastcall Button3Click(TObject *Sender);
  void __fastcall SpeedButton1Click(TObject *Sender);
  void __fastcall SpeedButton2Click(TObject *Sender);
  void __fastcall ScrollBar1Change(TObject *Sender);
  void __fastcall CrystalDesign1AfterActive(TObject *Sender);
  void __fastcall CrystalDesign1Error(TObject *Sender);
  void __fastcall CrystalDesign1JobStarted(TObject *Sender);
  void __fastcall CrystalDesign1JobCompleted(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
